Browse Source

We don't need to be installable via PIP so remove build and install deps

setup.py is installing dependencies via pip, making a mess of the system.

Instead if someone wants to install, expect they will have openstack
installed already, which should contain the necessary dependencies.

Change-Id: I8ff82aad1b85bd4e1acc454b04c5fcec2adcadbe
Signed-off-by: Steven Dake <sdake@redhat.com>
changes/65/265/1
Steven Dake 10 years ago
parent
commit
63cdd18d50
  1. 7
      setup.py

7
setup.py

@ -26,9 +26,6 @@ setup.write_vcsversion('heat/vcsversion.py')
# import this after write_vcsversion because version imports vcsversion
from heat import version
requires = setup.parse_requirements()
depend_links = setup.parse_dependency_links()
setuptools.setup(
name='heat',
version=version.canonical_version_string(),
@ -38,10 +35,8 @@ setuptools.setup(
author='Heat API Developers',
author_email='discuss@heat-api.org',
url='http://heat.openstack.org/',
packages=setuptools.find_packages(exclude=['bin']),
cmdclass=setup.get_cmdclass(),
install_requires=requires,
dependency_links=depend_links,
packages=setuptools.find_packages(exclude=['bin']),
include_package_data=True,
classifiers=[
'Development Status :: 4 - Beta',

Loading…
Cancel
Save